Workflow executions
Get Workflow Execution
Get a specific workflow execution by ID
GET
/
workflow
/
workflow-executions
/
{execution_id}
Get Workflow Execution
curl --request GET \
--url https://api.anyreach.ai/workflow/workflow-executions/{execution_id}import requests
url = "https://api.anyreach.ai/workflow/workflow-executions/{execution_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anyreach.ai/workflow/workflow-executions/{execution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anyreach.ai/workflow/workflow-executions/{execution_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anyreach.ai/workflow/workflow-executions/{execution_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anyreach.ai/workflow/workflow-executions/{execution_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anyreach.ai/workflow/workflow-executions/{execution_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-01-15T09:30:00Z",
"completed_at": "2026-01-15T09:30:00Z",
"organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_version_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "success",
"state": {
"initial_step": "string",
"input_data": {},
"next_step_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"output": {},
"context": {},
"loop_stack": []
},
"definition": {},
"trigger_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "manual",
"credential_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"credentials_allowed": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Organization ID for user PATs (pat_ prefix tokens)
Path Parameters
Response
Successful Response
Available options:
success, failed, in_progress, pending, waiting Show child attributes
Show child attributes
Available options:
manual, trigger, credential_refresh ⌘I
Get Workflow Execution
curl --request GET \
--url https://api.anyreach.ai/workflow/workflow-executions/{execution_id}import requests
url = "https://api.anyreach.ai/workflow/workflow-executions/{execution_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anyreach.ai/workflow/workflow-executions/{execution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anyreach.ai/workflow/workflow-executions/{execution_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anyreach.ai/workflow/workflow-executions/{execution_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anyreach.ai/workflow/workflow-executions/{execution_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anyreach.ai/workflow/workflow-executions/{execution_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-01-15T09:30:00Z",
"completed_at": "2026-01-15T09:30:00Z",
"organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_version_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "success",
"state": {
"initial_step": "string",
"input_data": {},
"next_step_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"output": {},
"context": {},
"loop_stack": []
},
"definition": {},
"trigger_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "manual",
"credential_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"credentials_allowed": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
